svn commit: trunk/busybox/testsuite

aldot at busybox.net aldot at busybox.net
Sun Jan 7 15:19:36 UTC 2007


Author: aldot
Date: 2007-01-07 07:19:34 -0800 (Sun, 07 Jan 2007)
New Revision: 17179

Log:
- pull taskset.tests from the busybox_scratch branch


Added:
   trunk/busybox/testsuite/taskset.tests


Changeset:
Added: trunk/busybox/testsuite/taskset.tests
===================================================================
--- trunk/busybox/testsuite/taskset.tests	                        (rev 0)
+++ trunk/busybox/testsuite/taskset.tests	2007-01-07 15:19:34 UTC (rev 17179)
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Copyright 2006 Bernhard Fischer
+# Licensed under GPL v2 or later, see file LICENSE for details.
+
+. testing.sh
+a="taskset"
+
+# testing "test name"              "opts" "expected result" "file inp" "stdin"
+testing "taskset (get from pid 1)" "$a -p1 >/dev/null;echo \$?" "0\n" "" ""
+testing "taskset (invalid pid)"    "$a -p0 >/dev/null 2>&1;echo \$?" "1\n" "" ""
+testing "taskset (set_aff, needs CAP_SYS_NICE)" \
+                                   "$a 0x1 $SHELL -c $a\ -p\ \$$\|grep\ \"current\ affinity\ mask:\ 1\" >/dev/null;echo \$?" \
+				                                "0\n" "" ""
+
+unset a
+exit $FAILCOUNT


Property changes on: trunk/busybox/testsuite/taskset.tests
___________________________________________________________________
Name: svn:executable
   + *




More information about the busybox-cvs mailing list